From acc3bd02fe059e16f9533a9c93c88863dbad9ced Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sun, 1 Feb 2026 06:48:26 +0000
Subject: [PATCH] 
 libxxf86vm,libxdamage,libxmu,libxpm,libxext,libxrandr,libxinerama,libxkbfile,libxcomposite,libxvmc:
 upgrade 1.1.6 -> 1.1.7,1.1.6 -> 1.1.7,1.2.1 -> 1.3.1,3.5.17 -> 3.5.18,1.3.6
 -> 1.3.7,1.5.4 -> 1.5.5,1.1.5 -> 1.1.6,1.1.3 -> 1.2.0,0.4.6 -> 0.4.7,1.0.14
 -> 1.0.15

---
 ...posite_0.4.6.bb => libxcomposite_0.4.7.bb} | 26 +++++++++++++++++--
 ...ibxdamage_1.1.6.bb => libxdamage_1.1.7.bb} |  2 +-
 .../{libxext_1.3.6.bb => libxext_1.3.7.bb}    |  2 +-
 ...xinerama_1.1.5.bb => libxinerama_1.1.6.bb} | 26 ++++++++++++++++---
 ...ibxkbfile_1.1.3.bb => libxkbfile_1.2.0.bb} |  2 +-
 .../{libxmu_1.2.1.bb => libxmu_1.3.1.bb}      |  2 +-
 .../{libxpm_3.5.17.bb => libxpm_3.5.18.bb}    |  2 +-
 ...{libxrandr_1.5.4.bb => libxrandr_1.5.5.bb} |  2 +-
 .../{libxvmc_1.0.14.bb => libxvmc_1.0.15.bb}  |  2 +-
 ...ibxxf86vm_1.1.6.bb => libxxf86vm_1.1.7.bb} |  2 +-
 10 files changed, 55 insertions(+), 13 deletions(-)
 rename meta/recipes-graphics/xorg-lib/{libxcomposite_0.4.6.bb => libxcomposite_0.4.7.bb} (45%)
 rename meta/recipes-graphics/xorg-lib/{libxdamage_1.1.6.bb => libxdamage_1.1.7.bb} (91%)
 rename meta/recipes-graphics/xorg-lib/{libxext_1.3.6.bb => libxext_1.3.7.bb} (89%)
 rename meta/recipes-graphics/xorg-lib/{libxinerama_1.1.5.bb => libxinerama_1.1.6.bb} (34%)
 rename meta/recipes-graphics/xorg-lib/{libxkbfile_1.1.3.bb => libxkbfile_1.2.0.bb} (81%)
 rename meta/recipes-graphics/xorg-lib/{libxmu_1.2.1.bb => libxmu_1.3.1.bb} (89%)
 rename meta/recipes-graphics/xorg-lib/{libxpm_3.5.17.bb => libxpm_3.5.18.bb} (88%)
 rename meta/recipes-graphics/xorg-lib/{libxrandr_1.5.4.bb => libxrandr_1.5.5.bb} (87%)
 rename meta/recipes-graphics/xorg-lib/{libxvmc_1.0.14.bb => libxvmc_1.0.15.bb} (85%)
 rename meta/recipes-graphics/xorg-lib/{libxxf86vm_1.1.6.bb => libxxf86vm_1.1.7.bb} (85%)

diff --git a/meta/recipes-graphics/xorg-lib/libxcomposite_0.4.6.bb b/meta/recipes-graphics/xorg-lib/libxcomposite_0.4.7.bb
similarity index 45%
rename from meta/recipes-graphics/xorg-lib/libxcomposite_0.4.6.bb
rename to meta/recipes-graphics/xorg-lib/libxcomposite_0.4.7.bb
index 881f579695..5794b04d37 100644
--- a/meta/recipes-graphics/xorg-lib/libxcomposite_0.4.6.bb
+++ b/meta/recipes-graphics/xorg-lib/libxcomposite_0.4.7.bb
@@ -1,3 +1,25 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- COPYING
+# +++ COPYING
+# @@ -19,7 +19,7 @@
+#  TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
+#  PERFORMANCE OF THIS SOFTWARE.
+#  
+# -Copyright (c) 2006, 2007, Oracle and/or its affiliates. All rights reserved.
+# +Copyright (c) 2006, 2007, Oracle and/or its affiliates.
+#  
+#  Permission is hereby granted, free of charge, to any person obtaining a
+#  copy of this software and associated documentation files (the "Software"),
+# 
+#
+
 SUMMARY = "Xcomposite: X Composite extension library"
 
 DESCRIPTION = "The composite extension provides three related \
@@ -12,7 +34,7 @@ compositing transformations through a client."
 require xorg-lib-common.inc
 
 LICENSE = "MIT"
-LIC_FILES_CHKSUM = "file://COPYING;md5=3f2907aad541f6f226fbc58cc1b3cdf1"
+LIC_FILES_CHKSUM = "file://COPYING;md5=51f7b67ceb9dc21dd53952d0b7727b4e"
 
 DEPENDS += " xorgproto virtual/libx11 libxfixes libxext"
 PROVIDES = "xcomposite"
@@ -22,4 +44,4 @@ PE = "1"
 
 XORG_PN = "libXcomposite"
 
-SRC_URI[sha256sum] = "fe40bcf0ae1a09070eba24088a5eb9810efe57453779ec1e20a55080c6dc2c87"
+SRC_URI[sha256sum] = "8bdf310967f484503fa51714cf97bff0723d9b673e0eecbf92b3f97c060c8ccb"
diff --git a/meta/recipes-graphics/xorg-lib/libxdamage_1.1.6.bb b/meta/recipes-graphics/xorg-lib/libxdamage_1.1.7.bb
similarity index 91%
rename from meta/recipes-graphics/xorg-lib/libxdamage_1.1.6.bb
rename to meta/recipes-graphics/xorg-lib/libxdamage_1.1.7.bb
index 279d6c33dc..2602ee4680 100644
--- a/meta/recipes-graphics/xorg-lib/libxdamage_1.1.6.bb
+++ b/meta/recipes-graphics/xorg-lib/libxdamage_1.1.7.bb
@@ -23,6 +23,6 @@ PE = "1"
 
 XORG_PN = "libXdamage"
 
-SRC_URI[sha256sum] = "52733c1f5262fca35f64e7d5060c6fcd81a880ba8e1e65c9621cf0727afb5d11"
+SRC_URI[sha256sum] = "127067f521d3ee467b97bcb145aeba1078e2454d448e8748eb984d5b397bde24"
 
 BBCLASSEXTEND = "native nativesdk"
diff --git a/meta/recipes-graphics/xorg-lib/libxext_1.3.6.bb b/meta/recipes-graphics/xorg-lib/libxext_1.3.7.bb
similarity index 89%
rename from meta/recipes-graphics/xorg-lib/libxext_1.3.6.bb
rename to meta/recipes-graphics/xorg-lib/libxext_1.3.7.bb
index 275926a885..3f28d78bdf 100644
--- a/meta/recipes-graphics/xorg-lib/libxext_1.3.6.bb
+++ b/meta/recipes-graphics/xorg-lib/libxext_1.3.7.bb
@@ -21,4 +21,4 @@ PE = "1"
 XORG_PN = "libXext"
 BBCLASSEXTEND = "native nativesdk"
 
-SRC_URI[sha256sum] = "edb59fa23994e405fdc5b400afdf5820ae6160b94f35e3dc3da4457a16e89753"
+SRC_URI[sha256sum] = "6c643c7035cdacf67afd68f25d01b90ef889d546c9fcd7c0adf7c2cf91e3a32d"
diff --git a/meta/recipes-graphics/xorg-lib/libxinerama_1.1.5.bb b/meta/recipes-graphics/xorg-lib/libxinerama_1.1.6.bb
similarity index 34%
rename from meta/recipes-graphics/xorg-lib/libxinerama_1.1.5.bb
rename to meta/recipes-graphics/xorg-lib/libxinerama_1.1.6.bb
index 421b64e68d..656c0937bf 100644
--- a/meta/recipes-graphics/xorg-lib/libxinerama_1.1.5.bb
+++ b/meta/recipes-graphics/xorg-lib/libxinerama_1.1.6.bb
@@ -1,3 +1,22 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- COPYING
+# +++ COPYING
+# @@ -1,4 +1,4 @@
+# -Copyright (c) 2007, Oracle and/or its affiliates. All rights reserved.
+# +Copyright (c) 2007, 2025, Oracle and/or its affiliates.
+#  
+#  Permission is hereby granted, free of charge, to any person obtaining a
+#  copy of this software and associated documentation files (the "Software"),
+# 
+#
+
 require xorg-lib-common.inc
 
 SUMMARY = "Xinerama: Xinerama extension library"
@@ -7,14 +26,15 @@ Xinerama Extension for retrieving information about physical output \
 devices which may be combined into a single logical X screen."
 
 LICENSE = "MIT"
-LIC_FILES_CHKSUM = "file://COPYING;md5=6f4f634d1643a2e638bba3fcd19c2536 \
-                    file://src/Xinerama.c;beginline=2;endline=25;md5=fcef273bfb66339256411dd06ea79c02"
+LIC_FILES_CHKSUM = "file://COPYING;md5=68f2159f2eadc772815f13d9565b453d \
+                    file://src/Xinerama.c;beginline=2;endline=25;md5=fcef273bfb66339256411dd06ea79c02 \
+                    "
 
 DEPENDS += "libxext xorgproto"
 PROVIDES = "xinerama"
 PE = "1"
 
 XORG_PN = "libXinerama"
-SRC_URI[sha256sum] = "5094d1f0fcc1828cb1696d0d39d9e866ae32520c54d01f618f1a3c1e30c2085c"
+SRC_URI[sha256sum] = "d00fc1599c303dc5cbc122b8068bdc7405d6fcb19060f4597fc51bd3a8be51d7"
 
 BBCLASSEXTEND = "native nativesdk"
diff --git a/meta/recipes-graphics/xorg-lib/libxkbfile_1.1.3.bb b/meta/recipes-graphics/xorg-lib/libxkbfile_1.2.0.bb
similarity index 81%
rename from meta/recipes-graphics/xorg-lib/libxkbfile_1.1.3.bb
rename to meta/recipes-graphics/xorg-lib/libxkbfile_1.2.0.bb
index aab6284384..f08339f906 100644
--- a/meta/recipes-graphics/xorg-lib/libxkbfile_1.1.3.bb
+++ b/meta/recipes-graphics/xorg-lib/libxkbfile_1.2.0.bb
@@ -13,4 +13,4 @@ DEPENDS += "virtual/libx11 xorgproto"
 PE = "1"
 
 BBCLASSEXTEND = "native"
-SRC_URI[sha256sum] = "a9b63eea997abb9ee6a8b4fbb515831c841f471af845a09de443b28003874bec"
+SRC_URI[sha256sum] = "7f71884e5faf56fb0e823f3848599cf9b5a9afce51c90982baeb64f635233ebf"
diff --git a/meta/recipes-graphics/xorg-lib/libxmu_1.2.1.bb b/meta/recipes-graphics/xorg-lib/libxmu_1.3.1.bb
similarity index 89%
rename from meta/recipes-graphics/xorg-lib/libxmu_1.2.1.bb
rename to meta/recipes-graphics/xorg-lib/libxmu_1.3.1.bb
index 51faf170bf..9f0c65ee94 100644
--- a/meta/recipes-graphics/xorg-lib/libxmu_1.2.1.bb
+++ b/meta/recipes-graphics/xorg-lib/libxmu_1.3.1.bb
@@ -27,4 +27,4 @@ FILES:libxmuu = "${libdir}/libXmuu.so.*"
 
 BBCLASSEXTEND = "native"
 
-SRC_URI[sha256sum] = "fcb27793248a39e5fcc5b9c4aec40cc0734b3ca76aac3d7d1c264e7f7e14e8b2"
+SRC_URI[sha256sum] = "81a99e94c4501e81c427cbaa4a11748b584933e94b7a156830c3621256857bc4"
diff --git a/meta/recipes-graphics/xorg-lib/libxpm_3.5.17.bb b/meta/recipes-graphics/xorg-lib/libxpm_3.5.18.bb
similarity index 88%
rename from meta/recipes-graphics/xorg-lib/libxpm_3.5.17.bb
rename to meta/recipes-graphics/xorg-lib/libxpm_3.5.18.bb
index 8e15ecc0d4..94bf28232e 100644
--- a/meta/recipes-graphics/xorg-lib/libxpm_3.5.17.bb
+++ b/meta/recipes-graphics/xorg-lib/libxpm_3.5.18.bb
@@ -22,6 +22,6 @@ PACKAGES =+ "sxpm cxpm"
 FILES:cxpm = "${bindir}/cxpm"
 FILES:sxpm = "${bindir}/sxpm"
 
-SRC_URI[sha256sum] = "64b31f81019e7d388c822b0b28af8d51c4622b83f1f0cb6fa3fc95e271226e43"
+SRC_URI[sha256sum] = "b4ed79bfc718000edee837d551c35286f0b84576db0ce07bbbebe60a4affa1e4"
 
 BBCLASSEXTEND = "native"
diff --git a/meta/recipes-graphics/xorg-lib/libxrandr_1.5.4.bb b/meta/recipes-graphics/xorg-lib/libxrandr_1.5.5.bb
similarity index 87%
rename from meta/recipes-graphics/xorg-lib/libxrandr_1.5.4.bb
rename to meta/recipes-graphics/xorg-lib/libxrandr_1.5.5.bb
index 3e2825b916..8696d11025 100644
--- a/meta/recipes-graphics/xorg-lib/libxrandr_1.5.4.bb
+++ b/meta/recipes-graphics/xorg-lib/libxrandr_1.5.5.bb
@@ -19,4 +19,4 @@ XORG_PN = "libXrandr"
 
 BBCLASSEXTEND = "native nativesdk"
 
-SRC_URI[sha256sum] = "1ad5b065375f4a85915aa60611cc6407c060492a214d7f9daf214be752c3b4d3"
+SRC_URI[sha256sum] = "72b922c2e765434e9e9f0960148070bd4504b288263e2868a4ccce1b7cf2767a"
diff --git a/meta/recipes-graphics/xorg-lib/libxvmc_1.0.14.bb b/meta/recipes-graphics/xorg-lib/libxvmc_1.0.15.bb
similarity index 85%
rename from meta/recipes-graphics/xorg-lib/libxvmc_1.0.14.bb
rename to meta/recipes-graphics/xorg-lib/libxvmc_1.0.15.bb
index af18afc62d..8fe205b387 100644
--- a/meta/recipes-graphics/xorg-lib/libxvmc_1.0.14.bb
+++ b/meta/recipes-graphics/xorg-lib/libxvmc_1.0.15.bb
@@ -16,4 +16,4 @@ PE = "1"
 
 XORG_PN = "libXvMC"
 
-SRC_URI[sha256sum] = "e4be9eb6b6bafdbbf81f47f7163047215376e45e2dc786d0ea6181c930725ed9"
+SRC_URI[sha256sum] = "4f518afde3d7fd435346af7b368d2f73517f3d5f82647c962caf3f7bb8ff7078"
diff --git a/meta/recipes-graphics/xorg-lib/libxxf86vm_1.1.6.bb b/meta/recipes-graphics/xorg-lib/libxxf86vm_1.1.7.bb
similarity index 85%
rename from meta/recipes-graphics/xorg-lib/libxxf86vm_1.1.6.bb
rename to meta/recipes-graphics/xorg-lib/libxxf86vm_1.1.7.bb
index bde3ad3ad3..9afc3ef809 100644
--- a/meta/recipes-graphics/xorg-lib/libxxf86vm_1.1.6.bb
+++ b/meta/recipes-graphics/xorg-lib/libxxf86vm_1.1.7.bb
@@ -15,6 +15,6 @@ DEPENDS += "libxext xorgproto"
 PE = "1"
 
 XORG_PN = "libXxf86vm"
-SRC_URI[sha256sum] = "96af414c73ce1d5449ad04be7f9f27fa8330f844b6dda843ef22e3e1befb3ee3"
+SRC_URI[sha256sum] = "ae50c0f669e0af5a67cc4cd0f54f21d64a64d2660af883e80e95d3fe51b945d8"
 
 BBCLASSEXTEND = "native nativesdk"
-- 
2.47.1

